export interface HttpHeaders {
    [header: string]: string | string[];
}
export declare type HttpMethod = 'string' | 'post' | 'head' | 'get' | 'put' | 'options' | 'delete';
export interface HttpRequest {
    method: HttpMethod;
    headers: HttpHeaders;
    url: string;
    body: any | null | undefined;
    params?: any;
}
export declare type HttpRequestHandler = {
    route: string;
    method: HttpMethod;
    handler: (req: HttpRequest) => Promise<HttpResponse>;
};
export declare type HttpResponse = any | {
    statusCode: number;
    headers: HttpHeaders;
    body: any;
};
