/// <reference types="node" />
/// <reference types="express" />
/// <reference types="http-proxy" />
import { Service, Discovery } from './';
import * as Express from 'express';
import * as http from 'http';
import * as https from 'https';
import * as Proxy from 'http-proxy';
import { EventEmitter } from 'events';
export declare class ServerConfiguration {
    serverId?: string;
    services?: {
        [serviceName: string]: any;
    };
    hostname?: string;
    sslOptions?: https.ServerOptions;
    port?: number;
    agreement?: string | {
        name: string;
        email: string;
    };
}
export declare function DefaultServerConfiguration(): ServerConfiguration;
export declare class Server extends EventEmitter {
    config: ServerConfiguration;
    services: Service[];
    discovery: Discovery;
    version: string;
    private _started;
    readonly started: boolean;
    readonly expressApp: Express.Application;
    readonly httpServer: http.Server | https.Server;
    proxies: Proxy[];
    constructor(config?: ServerConfiguration);
    onWebSocketUpgrade: (req: http.IncomingMessage, socket: any, head: any) => void;
    start(): Promise<void>;
    shutdown(): Promise<void>;
    addService(service: Service | string, config?: object): Promise<Service>;
}
