/// <reference types="node" />
import { ServiceConfig } from '../../service';
import { AuthService, AuthenticationResponse } from './authservice';
export declare class UsernamePasswordAuthServiceConfig extends ServiceConfig {
}
export declare const UsernamePasswordConstants: {
    saltWorkIterations: number;
    keyLength: number;
    saltLength: number;
    digest: string;
};
export declare class UsernamePasswordAuthService extends AuthService {
    config: UsernamePasswordAuthServiceConfig;
    private passwordRealm;
    constructor(config: UsernamePasswordAuthServiceConfig);
    start(): Promise<void>;
    hashPassword(clearTextPassword: string, salt: Buffer): Promise<Buffer>;
    createSalt(saltWorkFactor: number): Promise<Buffer>;
    comparePassword(candidatePassword: string, salt: Buffer, hash: Buffer): Promise<boolean>;
    private attemptToRegister(username, password);
    private attemptToLogin(username, password);
    authenticateOrCreateUser(body: any): Promise<AuthenticationResponse>;
}
