import * as Realm from 'realm';
import { Service } from '../../service';
import { HttpRequest, HttpMethod } from '../../http';
export interface RealmAccessTokenResponse {
    access_token: {
        token: string;
        token_data: any;
    };
}
export declare class RealmManagementService extends Service {
    tokenKey: string;
    realm: Realm;
    readonly baseHttpEndpoint: string;
    readonly httpEndpoints: {
        route: string;
        method: HttpMethod;
        handler: any;
    }[];
    accessToken(incomingRequest: HttpRequest): Promise<RealmAccessTokenResponse>;
    get(incomingRequest: HttpRequest): Promise<{}[]>;
    start(): Promise<void>;
}
