"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crypto = require("crypto");
function signToken(tokenObject, privateKey) {
    const tokenStr = JSON.stringify(tokenObject);
    const tokenBase64 = new Buffer(tokenStr).toString("base64");
    const sign = crypto.createSign("RSA-SHA256");
    sign.update(tokenStr);
    const signatureBase64 = sign.sign(privateKey).toString("base64");
    return `${tokenBase64}:${signatureBase64}`;
}
exports.signToken = signToken;
function parseTokenFromBase64RSA_SHA256(tokenString) {
    const parts = tokenString.split(':');
    if (parts.length !== 2) {
        throw new Error("The tokenString parameter does not have 2 parts separated by a colon (':')");
    }
    const tokenBase64 = parts[0];
    const signatureBase64 = parts[1];
    const buffer = Buffer.from(tokenBase64, 'base64');
    const jsonString = buffer.toString();
    return JSON.parse(jsonString);
}
exports.parseTokenFromBase64RSA_SHA256 = parseTokenFromBase64RSA_SHA256;
//# sourceMappingURL=tokenhelpers.js.map