"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const _1 = require("../");
const Realm = require("realm");
const del = require("del");
describe('Tests for Server Configurations', function () {
    beforeEach(() => __awaiter(this, void 0, void 0, function* () {
        Realm.Sync.setLogLevel('error');
        Realm.clearTestState();
        yield del(['./data']);
    }));
    afterEach(() => __awaiter(this, void 0, void 0, function* () {
        yield del(['./data']);
    }));
    it('should start with a default 9080 port', function () {
        return __awaiter(this, void 0, void 0, function* () {
            let server = new _1.Server();
            yield server.start();
            chai_1.expect(server.config.port).to.eq(9080);
            chai_1.expect(server.started).to.eq(true);
            yield server.shutdown();
        });
    });
    it('should start with a default 127.0.0.1 hostname', function () {
        return __awaiter(this, void 0, void 0, function* () {
            let server = new _1.Server();
            yield server.start();
            chai_1.expect(server.config.hostname).to.eq('127.0.0.1');
            chai_1.expect(server.started).to.eq(true);
            yield server.shutdown();
        });
    });
});
//# sourceMappingURL=server-defaultconfiguration.spec.js.map